#!/bin/sh
SAMPLE_EACH_FOR_US=200000
rm -f *.o benchmark
ghc -O2 -o benchmark benchmark.hs --make
./benchmark "Time to parse XML document (non-threaded runtime)" $SAMPLE_EACH_FOR_US > result.non-threaded
rm -f *.o benchmark
ghc -O2 -o benchmark benchmark.hs --make -threaded
./benchmark "Time to parse XML document (threaded runtime)" $SAMPLE_EACH_FOR_US > result.threaded

